#
# spec file for package xmorph (Version 11sep97)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ctags xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmorph
Copyright:    1994-1997 Michael J. Gourlay
Group:        X11/Applications
Provides:     xmorph 
Autoreqprov:  on
Version:      11sep97
Release:      45
Url:          ftp://ftp.x.org/contrib/graphics
Summary:      A morphing program
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-ctags.patch
Patch1:       %{name}-%{version}-malloc.patch
Patch2:       %{name}-%{version}-xlibs.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
This morphing program reads two images in Targa format and computes
the transitions from one image to the other (arbitrarily many steps).
To avoid a simple fading effect, the program needs information about
the shapes contained in the two images. This is done by using a grid
consisting of connected checkpoints. The source grid is then
transformed into the destination grid during the morphing process.

Authors:
--------
    Michael J. Gourlay <mike@penguin.gatech.edu>

SuSE series: gra

%prep
%setup -n %{name}-%{version}
%patch0
%patch1
%patch2

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 xmorph $RPM_BUILD_ROOT/usr/X11R6/bin
install xmorph.man $RPM_BUILD_ROOT%{_mandir}/man1/xmorph.1

%clean                                                                                          
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xmorph
%doc README HISTORY
%doc %{_mandir}/man1/xmorph.1.gz

%changelog -n xmorph
* Thu Jun 21 2001 - adostal@suse.cz
- upgrade to v.11sep97
- fix neededforbuild (ctags)
- fix make (depend and compile)
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Thu Jun 08 2000 - ro@suse.de
- fixed to compile: added -lXpm
* Fri Mar 03 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Oct 02 1998 - ro@suse.de
- recrecate dependencies before build
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
